irker (2.24+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: binary-targets" & patch Makefile
  * Use tmpfiles to create /var/log/irker

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jun 2026 11:34:01 +0200

irker (2.24+dfsg-1) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.4, drop Priority: tag
  * Add debian/salsa-ci.yml
  * Yse dh-cruft to register & purge volatile files
  * Rewrite d/watch in v5 format

  [ Neil Muller ]
  * Update to new upstream release.
  * Update watchfile to handle recent gitlab changes.
  * Refresh patches and drop patch merged upstream.
    - Added missing Forwarded header to relevant patches.
  * Update years in debian/copyright.
  * Switch to pkgconf in Build-Depends.
  * Drop obsolete lintian override.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 May 2026 00:46:21 +0200

irker (2.23+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on systemd-dev (Closes: #1060467)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Jun 2024 11:04:35 +0200

irker (2.23+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Neil Muller ]
  * New upstream.
    - Includes fixes for python 3.11 deprecations.
  * Drop mercurial patches that were previously backported to 2.19.
  * Update years in debian/copyright.
  * Drop lsb-base dependency, as that is no longer needed.
  * Update standards version to 4.6.2, no changes needed.
  * Add simple irkerhook function tests to autopkgtests.
  * Add patch to fix syntax error in shipped irkerhook.
  * Add missing needs-root to debian/tests/control .

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 14 Feb 2023 16:37:08 +0200

irker (2.19+dfsg-1) unstable; urgency=low

  [ Neil Muller ]
  * New upstream release.
  * Tweak autopkgtest setup steps to be a bit more robust.
  * Update watch file to current gitlab layout.
  * Fix watchfile to correctly mangle the version to the correct dfsg format.
  * Bump Standards-Version to 4.5.1.
  * Add 'Pre-Depends: ${misc:Pre-Depends}' as the generated debhelper scripts
    need that.
  * Rebase patches against new upstream and drop merged patches.
  * Import fixes from upstream so irkerhook works with mercurial and python 3
    (Closes: 981922).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 16 Feb 2021 07:22:43 +0200

irker (2.18+dfsg-4) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Neil Muller ]
  * Rename 0011-Import-upstream-tweaks-to-irkerd.service.patch to
    0014-Import-upstream-tweaks-to-irkerd.service.patch to avoid duplicate
    patch numbers.
  * Switch to using python3 (Closes: 936746):
    - Add 0015-Update-irkerhook-documentation-to-python-3.patch to use python3
      in the manpage example.
    - Add 0016-Update-shebangs.patch to use python3 shebangs in the commands.
  * Add a simple autopkgtest for irkerd daemon.
  * Drop custom compression setting to make lintian happy.
  * Add a lintian override because lintian misses our init.d file.
  * Update years in copyright file.
  * Bump Standards-Version to 4.4.0 (no further changes needed).

  [ Jonathan Carter ]
  * Team upload
  * Prepare upload to unstable
  * Fix email address in debian/copyright: s/debain/debian/g

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Sep 2019 17:40:43 +0200

irker (2.18+dfsg-3) unstable; urgency=low

  * Migrate from SVN to git.
  * Add patch to fix irkerd under python 3 from upstream issue tracker.
  * Add patch to fix FTBFS due to Makefile copy and paste
    error (Closes: 864612).
  * Add patch so irkerhook.py runs under python 3 from upstream issue tracker.
  * Add irkerd.service updates from upstream repository.
    - Update Description.
    - Add Documentation links to the service file.
  * Fix some newer lintian warnings.
    - Don't use chown -R on installation.
    - Fix some spelling errors.
  * Add "Rules-Requires-Root:" field to debian/control.
    - Also bump Standards-Version to 4.1.5 (no further changes needed).
  * Update years in copyright file.
  * Change debhelper compatibility level to 11.
    - Bump minimum debhelper version required.
    - Remove obsolete dh-systemd dependency.
    - Update debian/rules accordingly.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Wed, 11 Jul 2018 14:43:05 +0200

irker (2.18+dfsg-2) unstable; urgency=low

  * Acknowledge Antoine Beaupré's NMU.
  * Add missing dependency on lsb-base (lintian warning).
  * Add IOError exception fix from upstream issue tracker.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 01 Nov 2016 13:11:44 +0200

irker (2.18+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * new patches to the .service file:
    * run daemon as the irker used (Closes: #832758)
    * properly import environment from /etc/defaults (Closes: #832322)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 12 Sep 2016 11:59:26 -0400

irker (2.18+dfsg-1) unstable; urgency=low

  * Update to latest upstream release.
    - Adds support for specifying a template for irc
      messages (Closes: #824512).
  * Extend 0007-irkerhook-git.patch to describe the limitations of
    irkerhook-git in more detail.
  * Make irkerhook-git complain if no project or template has been
    configured.
  * Drop obsolete dh_builddeb compression override.
  * Bump Standards-Version to 3.9.8 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Fri, 17 Jun 2016 12:53:36 +0200

irker (2.17+dfsg-1) unstable; urgency=low

  * Update to latest upstream release.
    - Adds a delay to reconnect attempts (Closes: #749650).
    - License changed to BSD-2-clause license.
  * Add manpage for the irkerhook-debian helper.
  * Add 0007-irkerhook-git.patch to describer irkerhook-git in the
    irkerhook manpage.
  * Drop 0002-abbrev-commit.patch, 0003-abbrev-gitweb.patch and
    0004-webview.patch, as these fixes have been incorporated
    upstream.
  * Change VCS-Browser field to use https instead of http.
  * Bump Standards-Version to 3.9.7 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 15 Mar 2016 14:55:22 +0200

irker (2.13+dfsg-1) unstable; urgency=low

  * Adopt irker under the Python Applications Packaging Team umbrella
    (Closes: #756090).
  * Update to upstream version 2.13 (Closes: #793031).
  * Update years in copyright file.
  * Add a watch file.
  * Various lintian cleanups.
    - Add  missing stop levels to irker.init.
    - Fix adduser call in postinst.
    - Use BSD-3-clause as the copyright short name.
  * Don't remove the irker user on package removal, since it may still own
    files.
  * Add an Alias entry to the systemd unit so it recognises the SysV init
    script.
  * Add dh_python to Build-Depends.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 19 Jan 2016 22:46:39 +0200

irker (2.12+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream version 2.12 (Closes: #775027)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 17 Jan 2015 14:25:09 +0000

irker (2.11+dfsg-2) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:46:42 +0200

irker (2.11+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.11+dfsg:
    - irk works with ircs URLs (Closes: #749818).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 24 Jun 2014 16:30:06 +0200

irker (2.9+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.9+dfsg.
  * Refreshing webview.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Jun 2014 19:56:49 +0200

irker (2.8+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.8+dfsg.
  * Dripping irk-manpage.patch, included upstream.
  * Adding patch to use author_name instead of author in Git
    notifications.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 31 May 2014 11:54:17 +0200

irker (2.7+dfsg-2) unstable; urgency=low

  * Adding manpage for irk from Antoine Beaupre <anarcat@debian.org>
    (Closes: 746535).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2014 12:28:08 +0200

irker (2.7+dfsg-1) unstable; urgency=low

  * Dropping debconf handling (Closes: #743472).
  * Merging upstream version 2.7+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Apr 2014 11:21:21 +0200

irker (2.6+dfsg-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:00:17 +0200

irker (2.6+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.6+dfgs.
  * Updating year in copyright file.
  * Dropping daemon user debconf support, there's no practical need to run
    irker under a different unprivileged user anyway.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Feb 2014 20:41:13 +0100

irker (2.5+dfsg-5) experimental; urgency=low

  * Adding support for multiple channels in irkerhook-debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 19 Jan 2014 08:38:40 +0100

irker (2.5+dfsg-4) experimental; urgency=low

  * Running git hook with set -e.
  * Adding generic irkerhook for random debian purposes (such as lxc).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 16:17:28 +0100

irker (2.5+dfsg-3) experimental; urgency=low

  * Disabling url check in irkerhook.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Jan 2014 14:43:37 +0100

irker (2.5+dfsg-2) experimental; urgency=low

  * Updating local git hook for newer irker and git versions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Jan 2014 13:31:56 +0100

irker (2.5+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Dec 2013 15:51:30 +0100

irker (2.4+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.4+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Dec 2013 19:22:40 +0100

irker (2.3+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.3+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 01 Dec 2013 09:20:51 +0100

irker (2.2+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.2+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 01 Dec 2013 09:19:21 +0100

irker (2.1+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.1+dfsg.
  * Adding patch to avoid rcopying removed logo file.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Nov 2013 07:04:08 +0100

irker (2.0+dfsg-1) experimental; urgency=low

  * Rewrapping init script.
  * Updating to standards version 3.9.5.
  * Merging upstream version 2.0+dfsg.
  * Dropping python-irc from depends, not required anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 16 Nov 2013 14:29:36 +0100

irker (1.20+dfsg-5) experimental; urgency=low

  * Adding explicit depends to adduser (Closes: #722466).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 11 Sep 2013 15:45:58 +0200

irker (1.20+dfsg-4) experimental; urgency=low

  * Updating vcs fields.
  * Adding initscript.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 09 Sep 2013 11:30:26 +0200

irker (1.20+dfsg-3) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Adding manpage symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 13:17:05 +0200

irker (1.20+dfsg-2) experimental; urgency=low

  [ Michael Stapelberg ]
  * Using dh-systemd for proper systemd-related maintscripts (Closes: #715252).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Jul 2013 15:30:26 +0200

irker (1.20+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.20+dfsg.
  * Rediffing abbrev-commit.patch.
  * Rediffing abbrev-gitweb.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 15:07:01 +0200

irker (1.19+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.19+dfsg.
  * Sorting targets in rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 May 2013 10:46:00 +0200

irker (1.18+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.18+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Apr 2013 06:16:13 +0200

irker (1.17+dfsg-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:52:36 +0100

irker (1.17+dfsg-2) unstable; urgency=low

  * Make irkerhook-git more usable by checking for irker.project value in
    repository config.
  * Renumbering patches with four leading digits.
  * Trimming diff headers in patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:51:10 +0100

irker (1.17+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.17+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 07 Feb 2013 12:26:45 +0100

irker (1.16+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.16+dfsg.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Jan 2013 20:54:31 +0100

irker (1.15+dfsg-2) unstable; urgency=low

  * Updating year in copyright file.
  * Adding dpkg-source local-options.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jan 2013 16:10:06 +0100

irker (1.15+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.15+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 11:54:36 +0100

irker (1.14+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.14+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Nov 2012 14:08:48 +0100

irker (1.13+dfsg-2) unstable; urgency=low

  * Dropping alternate depends on python-irclib.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 11 Nov 2012 19:54:16 +0100

irker (1.13+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.13+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 08 Nov 2012 11:51:26 +0100

irker (1.12+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.12+dfsg.
  * Bumping versioned build-depends on python-irclib.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Oct 2012 07:00:04 +0200

irker (1.11+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.11+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 11 Oct 2012 07:22:58 +0200

irker (1.10+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.10+dfsg.
  * Removing python-eventlet recommends, upstream dropped support for
    it.
  * Updating python irc depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Oct 2012 09:51:02 +0200

irker (1.9+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.9+dfsg.
  * Adding systemd and pkg-config to build-depends to automatically
    guess systemd unit directory.
  * Adding todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 09 Oct 2012 07:44:39 +0200

irker (1.8+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.8+dfsg.
  * Removing tinyifier-config.patch, included upstream.
  * Removing irk-netcat.patch, not applicable anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 07 Oct 2012 09:58:51 +0200

irker (1.7+dfsg-3) experimental; urgency=low

  * Adding patch for irk test tool to let netcat terminate in order to
    send the request.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Oct 2012 15:21:02 +0200

irker (1.7+dfsg-2) experimental; urgency=low

  * Adding patch to show commit IDs shortened by default to 7 characters
    (in line with default git --abbrev-commit) rather than the unusual
    12.
  * Adding patch to show commit IDs shortened by default to 7 characters
    (in line with default git --abbrev-commit) rather than the unusual
    12 also in gitweb.
  * Adding patch from upstream to get tinyfier from the config.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Oct 2012 14:08:38 +0200

irker (1.7+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.7+dfsg.
  * Adding irkerhook-git to be symlinked in git repositories.
  * Adding debhelper install file to install irk.
  * Adding debhelper examples file to install filter examples.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 05 Oct 2012 20:39:46 +0200

irker (1.6+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.6+dfsg.
  * Removing vanished bugs file from debhelper docs.
  * Making comment about removing irker-logo.png in source more precise.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Oct 2012 20:59:35 +0200

irker (1.5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #689011).
  * Rebuild upstream tarball without sourceless irker logo.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 03 Oct 2012 12:35:32 +0200
